import {select, arc} from 'd3';

const svg = select("svg");
svg.style('background-color', 'lightgrey');

const height = +svg.attr('height');
const width = +svg.attr('width');

const circle = svg.append('circle')
  .attr("r", height / 2)
	.attr('cx', width / 2)
	.attr('cy', height / 2)
	.attr('fill', 'yellow')
	.attr('stroke', 'black')

const eyeSpacing = 100;
const eyeYOffset = -70;

const lefteye = svg.append('circle')
  .attr("r", 30)
	.attr('cx', width / 2 - eyeSpacing)
	.attr('cy', height / 2 + eyeYOffset)
	.attr('fill', 'black')

const rigtheye = svg.append('circle')
  .attr("r", 30)
	.attr('cx', width / 2 + eyeSpacing)
	.attr('cy', height / 2 + eyeYOffset)
	.attr('fill', 'black')
const g = svg.append('g')
	.attr('transform',`translate(${width / 2}, ${height / 2}`);

const mouth = svg.append('path')
	.attr('d', arc()({
    innerRadius: 80,
    outerRadius: 100,
    startAngle: 0,
    endAngle: Math.PI / 2
  }));